Copy A Folder
POST
/folders/{folderId}/copy
const url = 'https://markdawn.space/api/v1/folders/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/copy';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"parentId":null}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://markdawn.space/api/v1/folders/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/copy \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "parentId": null }'Copies an accessible folder and its accessible subtree to the requested folder. Set parentId to null to copy it to the Markdawn root. The response reports whether restricted items were skipped.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”folderId
required
string format: uuid
The UUID of the folder.
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”The copied folder ID and whether restricted items were skipped.
Media typeapplication/json
object
id
required
string format: uuid
skippedRestrictedItems
required
boolean
Examplegenerated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "skippedRestrictedItems": true}The API token is missing a required scope: pages:write.
Media typeapplication/json
Structured error returned when the request cannot be completed.
object
error
required
Error details for programmatic handling.
object
code
required
Stable error code.
string
message
required
Human-readable explanation.
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}